Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160695 - Update 5 mount cuses segment fault on Update3 rpc.mountd
Summary: Update 5 mount cuses segment fault on Update3 rpc.mountd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mount
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 18:01 UTC by Venkat Reddy
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-23 01:01:13 UTC


Attachments (Terms of Use)

Description Venkat Reddy 2005-06-16 18:01:58 UTC
Description of problem:

mounting an exported file system from a RH AS 3.0 with nfs-utils-1.0.5-3(system
B nfs server) on a RH AS 3.0 U5 system A ( nfs client) causes segmentaion fault
on rpc.mountd on system B.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.5-3 and mount-2.11y-31.6

How reproducible:
Try mount a file system from a system with a nfs-utils-1.0.5-3 package onto a RH
AS 3.0 U5 system.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
rpc.mountd crashes with seg fault

Expected results:
Should be able to mount the exported filesystem.

Additional info:

Comment 1 Karel Zak 2005-06-17 17:31:34 UTC
From:    Venkat Ram Reddy
Subject: Bug ID 160695
Date:    Fri, 17 Jun 2005 09:51:15 -0700  (18:51 CEST)

Here are the bug results

Cient:

[root@qa5 root]# mount qad3:/home /mnt
mount: RPC: Unable to receive; errno = Connection refused
[root@qa5 root]# rpm -qa | grep mount
mount-2.11y-31.6
[root@qa5 root]# rpm -qa | grep nfs
nfs-utils-1.0.6-33EL
redhat-config-nfs-1.0.13-6
[root@qa5 root]# uname -a
Linux qa5 2.4.21-32.ELsmp #1 SMP Fri Apr 15 21:03:28 EDT 2005 x86_64 
x86_64 x86_64 GNU/Linux

Server:

[root@qad3 root]# rpc.mountd -F -d all
Segmentation fault
[root@qad3 root]# rpm -qa | grep nfs
nfs-utils-1.0.5-3
redhat-config-nfs-1.0.13-1
[root@qad3 root]# uname -a
Linux qad3 2.4.21-27.EL.re3.4GB #1 SMP Fri Mar 18 16:08:43 PST 2005 i686 
i686 i386 GNU/Linux
[root@qad3 root]#

Same thing is reproduceable on RH AS 3.0 AMD64 with the same version 
nfs-utils package.


Comment 2 Steve Dickson 2005-06-17 18:00:42 UTC
hmm...  the server kernel version,  2.4.21-27.EL.re3.4GB, appears
not to be build in our internal build system... So where did this kernel
come from and what, if any, modification were made?


Comment 3 Venkat Reddy 2005-06-17 18:18:17 UTC
This is a custom kernel. But the same thing happen on the following system too. 

[root@qa1 root]# uname -a
Linux qa1 2.4.21-4.ELsmp #1 SMP Fri Oct 3 17:32:58 EDT 2003 x86_64 x86_64 x86_64
GNU/Linux
[root@qa1 root]# more /etc/redhat-release 
Red Hat Enterprise Linux AS release 3 (Taroon)
[root@qa1 root]# rpm -qa | grep nfs
redhat-config-nfs-1.0.13-1
nfs-utils-1.0.5-3

Comment 4 Kevin Krafthefer 2007-01-23 00:50:40 UTC
This needs to be reproducible on fully patched clients and servers.

Comment 5 RHEL Product and Program Management 2007-01-23 01:01:13 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.